View Issue Details

IDProjectCategoryView StatusLast Update
13290Bug reports[All Projects] Survey designpublic2018-02-06 12:00
ReporterDenisChenu Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.2.x 
Summary13290: Admin user with only read perm see "Update default"
Description

An admin user with only permission "read" on all survey see "Update default value" button (+ delete button)

Steps To Reproduce

Create an user with surveys/read permission (only)
Log in with this user
Go to a deactivated survey, to a question

  1. See delete question (with 'you can't delete a question in an inactive survey')
  2. See Update default value
  3. Can click on Update default value : see the form (updatable)
  4. When click : white page (OK

Think

  1. Must not show button, or show all button with a deactivated state
  2. Must always control on each form if user have the ability to eadit
Additional Information

With a multiple language : i think it's great if user can see question form but with deactuvated state on input and button.

Maybe : using CHtml::textarea( … … array('deactivated'=>!Permission:…))
=> then it's clean for all user :)

PS : in some version, seems this user can delete the question ;)

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.1.1
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

ollehar

ollehar

2018-02-05 16:37

administrator   ~46270

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26356

Related Changesets

LimeSurvey: master 0857c259

2018-02-05 16:00:11

ollehar

Details Diff
Fixed issue 13290: Admin user with only read perm see "Update default" Affected Issues
13290
mod - application/views/admin/survey/Question/questionbar_view.php Diff File

Issue History

Date Modified Username Field Change
2018-02-02 17:31 DenisChenu New Issue
2018-02-05 15:44 ollehar Assigned To => ollehar
2018-02-05 15:44 ollehar Status new => assigned
2018-02-05 16:37 ollehar Status assigned => resolved
2018-02-05 16:37 ollehar Resolution open => fixed
2018-02-05 16:37 ollehar Changeset attached => LimeSurvey master 0857c259
2018-02-05 16:37 ollehar Note Added: 46270
2018-02-06 12:00 ollehar Status resolved => closed
2018-02-06 12:00 ollehar Fixed in Version => 3.2.x